<?php

namespace App\Generated\V1\Messages\Partner;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class SetPartnerSellMessage extends Message
{
    use ValueHelper;

    protected $partner_id;
    protected $is_sell;

    /**
     * @return int
     */
    public function getPartner_id()
    {
        return $this->partner_id;
    }

    /**
     * @return boolean
     */
    public function getIs_sell()
    {
        return $this->is_sell;
    }

    /**
     * @return boolean
     */
    public function isIs_sell()
    {
        return $this->is_sell;
    }

    public function requestRules()
    {
        return [
            ['partner_id', 'partner_id', 'bail|integer', Constants::INTEGER, null],
            ['is_sell', 'is_sell', 'bail|boolean', Constants::BOOLEAN, null],
        ];
    }

    public function responseRules()
    {
        return [
        ];
    }

    public function setResponse()
    {
    }

}
